<?xml version="1.0" encoding="utf-8" ?>
<nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" >
  <targets>
    <target xsi:type="File" name="systemFile"
            fileName="${basedir}/logs/${shortdate}_System.log"
            layout="${longdate} ${uppercase:${level}} ${message}" encoding="utf-8" />
    <target xsi:type="File" name="connectionFile"
        fileName="${basedir}/logs/${shortdate}_Connection.log"
        layout="${longdate} ${uppercase:${level}} ${message}" encoding="utf-8" />
    <target xsi:type="File" name="orderFile"
    fileName="${basedir}/logs/${shortdate}_Order.log"
    layout="${longdate} ${uppercase:${level}} ${message}" encoding="utf-8" />
  </targets>

  <rules>
    <logger name="system" minlevel="Debug" writeTo="systemFile" />
    <logger name="order" minlevel="Debug" writeTo="orderFile" />
    <logger name="connection" minlevel="Debug" writeTo="connectionFile" />
  </rules>
</nlog>